require("defines")

game.on_event(defines.events.on_sector_scanned, function(event)
  if event.radar.name ~= "launch-control-center" then return end
  local p = event.radar.position
  local range = 32 * 6 --chunk_size * event.radar.max_distance_of_nearby_sector_revealed
  local surface = event.radar.surface
  
  local silos = surface.find_entities_filtered{
    area = {{p.x-range,p.y-range},{p.x+range, p.y+range}},
    name= "rocket-silo"
  }
  
  --game.players[1].print("Silos connected: " .. tostring(#silos))
  for _,silo in pairs(silos) do
    if silo.get_item_count("satellite") > 0 then
      silo.launch_rocket()
      return
    end
  end
end)
